当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 11 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]如何开机自动运行一个脚本?
帖子发表于 : 2008-04-12 16:20 

注册: 2007-08-29 22:44
帖子: 320
送出感谢: 0 次
接收感谢: 0 次
我用expect写了一个脚本。叫 rj 具体路径放在
/bin/rj
我想让这个脚本在开机的时候自动以root的权限运行。
最好是等到系统启动完之后再自动运行。


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-04-12 17:27 
头像

注册: 2006-04-12 20:05
帖子: 8495
地址: 杭州
送出感谢: 0 次
接收感谢: 8
在 /etc/rc.loval 里面加一句就好了。 :lol:


_________________
关注我的blog: ε==3


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-04-12 17:29 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
是 /etc/rc.local

放在exit之前


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-04-12 17:30 
头像

注册: 2006-04-12 20:05
帖子: 8495
地址: 杭州
送出感谢: 0 次
接收感谢: 8
。。。笔误。 :oops:


_________________
关注我的blog: ε==3


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-04-12 18:08 

注册: 2007-08-29 22:44
帖子: 320
送出感谢: 0 次
接收感谢: 0 次
是这样子吗?
#! /bin/sh

PATH=/sbin:/bin:/usr/sbin:/usr/bin
[ -f /etc/default/rcS ] && . /etc/default/rcS
. /lib/lsb/init-functions

do_start() {
if [ -x /etc/rc.local ]; then
log_begin_msg "Running local boot scripts (/etc/rc.local)"
/etc/rc.local
log_end_msg $?
fi
}

case "$1" in
start)
do_start
;;
restart|reload|force-reload)
echo "Error: argument '$1' not supported" >&2
exit 3
;;
stop)
;;
*)
echo "Usage: $0 start|stop" >&2
/bin/rj
exit 3
;;
esac


可是这样子不行啊?


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-04-14 11:42 
头像

注册: 2007-10-19 14:51
帖子: 4953
地址: 深圳
送出感谢: 0 次
接收感谢: 2
你的这个 rc.local有问题哦,是 /etc/rc.local吗?


发现你的这个是 /etc/init.d/rc.local .....


请加在 /etc/rc.local 中的 exit 之前:
代码:
#!/bin/sh -e
#
# rc.local
#
# This script is executed at the end of each multiuser runlevel.
# Make sure that the script will "exit 0" on success or any other
# value on error.
#
# In order to enable or disable this script just change the execution
# bits.
#
# By default this script does nothing.

/bin/rj
exit 0


_________________
Nothing 有事请发邮件到 yms541 AT gmail.com
alias 爱慕颇雷尔='mplayer'


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-04-15 21:44 

注册: 2007-08-29 22:44
帖子: 320
送出感谢: 0 次
接收感谢: 0 次
thank you very much


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-05-03 8:19 
头像

注册: 2006-07-23 20:27
帖子: 484
送出感谢: 0 次
接收感谢: 0 次
是锐捷上网的脚本吧 呵呵 rj
其实你把它放到/usr/bin 里面
在系统 手选项 对话里面加上一个命令为 rj的项目也可以开机启动的


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-05-07 19:16 

注册: 2007-05-19 16:36
帖子: 541
送出感谢: 0 次
接收感谢: 0 次
eixt 0表示什么意思 ?


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2008-05-07 19:34 
头像

注册: 2005-12-10 17:36
帖子: 336
地址: 北京市海淀区上地十街辉煌国际
送出感谢: 0 次
接收感谢: 0 次
please paste your code here,thank you!


_________________
Laptop:HP Compaq Presario V3210AU
OS:Gentoo openbox+stalonetray+rox-filer+gmrun+mplayer+firefox+ibus+sonata+tilda
Phone:Orange Dopod 838+ SPV C600
OS:Windows Mobile 6.1


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2008-05-14 1:14 

注册: 2007-08-04 13:04
帖子: 274
送出感谢: 0 次
接收感谢: 0 次
yaoms 写道:
你的这个 rc.local有问题哦,是 /etc/rc.local吗?


发现你的这个是 /etc/init.d/rc.local .....


请加在 /etc/rc.local 中的 exit 之前:
代码:
#!/bin/sh -e
#
# rc.local
#
# This script is executed at the end of each multiuser runlevel.
# Make sure that the script will "exit 0" on success or any other
# value on error.
#
# In order to enable or disable this script just change the execution
# bits.
#
# By default this script does nothing.

/bin/rj
exit 0

谢谢,也用这个解决了windows硬盘分区开机自动挂载的问题,
有关于rc的资料吗?网上找的感觉看不大懂。。。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 11 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译